#include <avr/io.h>
#include <util/delay.h>
#include "spi.h"


void SPI_init(){
	SPI_DDR |= (1 << SPI_SS);
	SPI_PORT |= (1 << SPI_SS);
	_delay_ms(1);
	SPI_DDR |= (1 << SPI_MOSI) | (1 << SPI_SCK);
	SPCR = (1 << SPE) | (1 << MSTR) | (1 << SPR0);
}

void SPI_begin_ss() {
	SPI_PORT &= ~(1 << SPI_SS);
}

void SPI_end_ss() {
	SPI_PORT |= (1 << SPI_SS);
}

uint8_t SPI_exchange(uint8_t data){
	SPDR = data;
	while(!(SPSR & (1 << SPIF)));
	return SPDR;
}